include RBDemo.inc

.code


DlgProc proc hWin:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM

	mov		eax,uMsg
	.if eax==WM_INITDIALOG	
		invoke	SendDlgItemMessageA,hWin,IDC_GPB1,RB_SETRANGE,250,0
		invoke	SendDlgItemMessageA,hWin,IDC_GPB1,RB_SETBARCOLOR1,00D0D09Fh,0
		invoke	SendDlgItemMessageA,hWin,IDC_GPB1,RB_SETBARCOLOR2,00727238h,0
		invoke	SendDlgItemMessageA,hWin,IDC_GPB1,RB_SETPOS,250,0
		invoke	SendDlgItemMessageA,hWin,IDC_GPB1,RB_SETSIZEBAR,40,0	
		invoke SetDlgItemInt,hWin,1002,250,0	
		Mov pFond,FUNC (LoadBitmap, hInstance,101)
		mov pBrush,FUNC (CreatePatternBrush,pFond)	
		invoke SetLayeredWindowAttributes,hWin,NULL,250,LWA_ALPHA 			

	.elseif uMsg==WM_CTLCOLORDLG 
		mov eax,pBrush
		ret			
	.elseif uMsg==WM_CTLCOLORSTATIC
		Invoke 	SetBkMode, wParam, TRANSPARENT 
		Invoke 	SetTextColor, wParam,00660033h
		mov eax,pBrush
		ret					
		
	.elseif eax==WM_RBSCROLL
		invoke	SendDlgItemMessageA,hWin,IDC_GPB1,RB_GETPOS,0,0
		.if eax >= 60
			push eax
			invoke SetLayeredWindowAttributes,hWin,NULL,eax,LWA_ALPHA 	
			pop eax
		.endif
		invoke SetDlgItemInt,hWin,1002,eax,0
		
	.elseif eax==WM_CLOSE
		invoke DeleteObject,pFond
		invoke DeleteObject,pBrush
		invoke EndDialog,hWin,0
	.else
		return FALSE
	.endif
	return 0

DlgProc endp

;########################################################################

start:
	mov		hInstance,rv(GetModuleHandle,NULL)
	invoke RegisterProgress,eax
	invoke DialogBoxParam,hInstance,IDD_DIALOG1,NULL,addr DlgProc,NULL
	invoke ExitProcess,0

end start
