.data?

hInstance			dd ?
NewProgPaint		PAINTSTRUCT<?>
NewProgWindowRect	RECT<?>
mp					POINT<?>
rect				RECT<?>

.Data

;***Progress Bar Control Data***
ProgClassName		db "TxGRADIENTSCROLLBAR",0
ClrRandSeed			dd 83C17F91h
StrDisplay			db "DISPLAY",0

RandomColorArray	dd 0FFh,0FF00h,0FF0000h,0F0FFFCh,998877h,212429h,0D17E3h,1F1AD4h,8CFFh,0D7FFh,148066h,70FF6Eh,0AB593Dh,0E16941h,0D355Bh,0B48246h

;***Extra Window Data Offset Constants***
PWL_BARCOLOR1		EQU  0
PWL_BARCOLOR2		EQU  4
PWL_RANGEMAX		EQU  8 
PWL_CURPOS			EQU 12
PWL_CURSTEP			EQU 16
PWL_GRADDC			EQU 20
PWL_GRADBMP			EQU 24
PWL_SELECTED		EQU 28
PWL_SIZEBAR			EQU 32
PWL_EXTRASIZE		EQU 36

;***Custom Messages***
RB_MESSAGEBASE		EQU 600h
RB_SETBARCOLOR1		EQU RB_MESSAGEBASE + 00h
RB_SETBARCOLOR2		EQU RB_MESSAGEBASE + 01h
RB_SETBARCOLORS		EQU RB_MESSAGEBASE + 02h  
RB_SETRANGE			EQU RB_MESSAGEBASE + 03h
RB_SETPOS			EQU RB_MESSAGEBASE + 04h
RB_GETBARCOLOR1		EQU RB_MESSAGEBASE + 07h
RB_GETBARCOLOR2		EQU RB_MESSAGEBASE + 08h
RB_GETRANGE			EQU RB_MESSAGEBASE + 09h
RB_GETPOS			EQU RB_MESSAGEBASE + 0Ah
RB_RANDOMCOLOR		EQU RB_MESSAGEBASE + 0Ch
RB_SETSIZEBAR		EQU RB_MESSAGEBASE + 0Dh
WM_RBSCROLL			EQU RB_MESSAGEBASE + 0Eh
RB_RAINIT			equ WM_USER+9999

;-------------------------------------------------------------------------

STYLE				equ WS_CHILD or WS_VISIBLE
EXSTYLE				equ WS_EX_STATICEDGE

;-------------------------------------------------------------------------

;MACROs for the Switch/Case

Position MACRO
	invoke	GetWindowLongA,HWnd,PWL_SIZEBAR
	mov edi,eax
	Mov Ebx,2 
	Cdq  
	IDiv Ebx	
	push eax ; largeur de la barre/2
	invoke	GetWindowLongA,HWnd,PWL_RANGEMAX
	mov esi,eax
	invoke GetWindowRect,HWnd, addr rect
	mov ebx, rect.right
	sub ebx,rect.left ; ebx = largeur X de la fentre
	sub ebx,edi ; on soustrait la largeur de la barre
	
	invoke GetCursorPos, addr mp
	mov eax,mp.x
	pop ecx
	sub eax,ecx	
	.if rect.left >= eax
		xor eax,eax ; on vite une soustraction ngative (situation o le curseur est hors de la fentre)
	.else
		sub eax,rect.left				
	   	xor edx, edx
	    mov ecx, esi ; On multiplie par l'chelle max.
	    mul ecx
	    xor edx, edx ; ...et divise par ebx
	    mov ecx, ebx
	    div ecx 
	.endif

    push eax    
	invoke	SendMessageA,HWnd,RB_SETPOS,eax,0
	invoke GetParent,HWnd
	pop ecx
	invoke SendMessage,eax,WM_RBSCROLL,ecx,0 ; on notifie l'application Parent d'une modification de valeur
ENDM


_DefProgProc MACRO
	invoke	DefWindowProcA,HWnd,WMsg,WParam,LParam
ENDM


NewProgInitDCBMP MACRO
	;create dc for gradient
	invoke	GetClientRect,HWnd,offset NewProgWindowRect
	invoke	CreateCompatibleDC,0
	mov		ebx,eax
	invoke	SetWindowLongA,HWnd,PWL_GRADDC,eax
	;get screen dc
	invoke	CreateDCA,offset StrDisplay,0,0,0
	mov		edi,eax
	;create bitmap
	mov		eax,NewProgWindowRect.right
	sub		eax,NewProgWindowRect.left
	mov		edx,NewProgWindowRect.bottom
	sub		edx,NewProgWindowRect.top
	invoke	CreateCompatibleBitmap,edi,eax,edx
	mov		esi,eax
	invoke	SetWindowLongA,HWnd,PWL_GRADBMP,eax
	invoke	DeleteDC,edi
	;select bitmap into dc
	invoke	SelectObject,ebx,esi
	;create gradient in memory dc
	invoke	GetWindowLongA,HWnd,PWL_SIZEBAR
	mov edi,eax
	invoke	GetWindowLongA,HWnd,PWL_BARCOLOR1
	mov		esi,eax
	invoke	GetWindowLongA,HWnd,PWL_BARCOLOR2
	invoke	GradFill,ebx,offset NewProgWindowRect,esi,eax,edi
	_DefProgProc
ENDM


NewProgUpdateGradDC MACRO
	invoke	GetWindowLongA,HWnd,PWL_SIZEBAR
	mov 	ebx,eax
	invoke	GetWindowLongA,HWnd,PWL_BARCOLOR1
	mov		esi,eax
	invoke	GetWindowLongA,HWnd,PWL_BARCOLOR2
	mov		edi,eax
	invoke	GetWindowLongA,HWnd,PWL_GRADDC
	invoke	GradFill,eax,offset NewProgWindowRect,esi,edi,ebx
ENDM


_WM_PAINT MACRO
	invoke	GetWindowLongA,HWnd,PWL_SIZEBAR
	mov 	edi,eax
	invoke	BeginPaint,HWnd,offset NewProgPaint
	mov		ebx,eax
	;fill background
	invoke	GetClientRect,HWnd,offset NewProgWindowRect
	cmp		NewProgPaint.fErase,0
	je		@F ;@NewProgNoErase
	invoke	GetSysColorBrush,COLOR_BTNFACE
	invoke	FillRect,ebx,offset NewProgWindowRect,eax
@@:
	;draw progress bar	
	invoke	GetWindowLongA,HWnd,PWL_CURPOS
	mov		esi,eax
	invoke	GetWindowLongA,HWnd,PWL_RANGEMAX
	mov		ecx,eax
	;calc width of bar
	finit
	mov		eax,NewProgWindowRect.right
	sub		eax,NewProgWindowRect.left
	sub 	eax,edi ; eax => calcul de la position => [largeur de la fentre - largeur du scrollbar]
	mov		Tmp,eax
	fild	Tmp
	mov		Tmp,ecx
	fidiv	Tmp
	mov		Tmp,esi
	fimul	Tmp
	fistp	Tmp
	invoke	GetWindowLongA,HWnd,PWL_GRADDC
	mov		edx,NewProgWindowRect.bottom
	sub		edx,NewProgWindowRect.top
	
	invoke	BitBlt,ebx,Tmp,0,edi,edx,eax,0,0,SRCCOPY

@@:	
invoke	EndPaint,HWnd,offset NewProgPaint
ENDM


_WM_CREATE MACRO
	;init randseed
	invoke	GetTickCount
	xor		ClrRandSeed,eax
	add		ClrRandSeed,eax
	rol		eax,13
	xor		ClrRandSeed,eax
	;set default color (black to blue)
	invoke	SetWindowLongA,HWnd,PWL_BARCOLOR1,00F0F0Fh
	invoke	SetWindowLongA,HWnd,PWL_BARCOLOR2,0F00000h
	;set default ranges/step
	invoke	SetWindowLongA,HWnd,PWL_RANGEMAX,20
	invoke	SetWindowLongA,HWnd,PWL_CURSTEP,0
	invoke	SetWindowLongA,HWnd,PWL_SIZEBAR,5
	NewProgInitDCBMP
ENDM


_WM_DESTROY MACRO
	invoke	GetWindowLongA,HWnd,PWL_GRADDC
	invoke	DeleteDC,eax
	invoke	GetWindowLongA,HWnd,PWL_GRADBMP
	invoke	DeleteObject,eax
ENDM


_WM_SIZE MACRO
	invoke	GetWindowLongA,HWnd,PWL_GRADDC
	invoke	DeleteDC,eax
	invoke	GetWindowLongA,HWnd,PWL_GRADBMP
	invoke	DeleteObject,eax
	NewProgInitDCBMP
ENDM


_WM_LBUTTONDOWN MACRO
	invoke	SetWindowLongA,HWnd,PWL_SELECTED,1
	NewProgUpdateGradDC
ENDM


_WM_MOUSEMOVE MACRO
	invoke	GetWindowLongA,HWnd,PWL_SELECTED
	.if eax 
		invoke GetKeyState,VK_LBUTTON
		.if sword ptr ax>=0
			xor eax, eax
		.endif
		.if eax 	
			Position
			invoke SetTimer,HWnd, 1,1, NULL
		.else
			invoke	SetWindowLongA,HWnd,PWL_SELECTED,0
		.endif	
	.endif	
	NewProgUpdateGradDC
ENDM

_WM_TIMER MACRO
	.if WParam
		invoke KillTimer,HWnd, 1
		invoke SendMessage,HWnd, WM_MOUSEMOVE, NULL, NULL
	.endif			
	NewProgUpdateGradDC
ENDM


_RB_SETSIZEBAR MACRO
	mov ebx,WParam
	invoke	GetWindowLongA,HWnd,PWL_RANGEMAX
	mov edi,eax
	invoke	GetWindowLongA,HWnd,PWL_CURPOS
	add eax,ebx
	.if ebx <= 1 || ebx >= edi || ebx >= edi
		mov ebx,2
	.endif	
	invoke	SetWindowLongA,HWnd,PWL_SIZEBAR,ebx
	NewProgUpdateGradDC
ENDM


_RB_SETBARCOLORS MACRO
	invoke	SetWindowLongA,HWnd,PWL_BARCOLOR1,WParam
	invoke	SetWindowLongA,HWnd,PWL_BARCOLOR2,LParam
	NewProgUpdateGradDC
ENDM


_RB_SETBARCOLOR1 MACRO
	invoke	SetWindowLongA,HWnd,PWL_BARCOLOR1,WParam
	NewProgUpdateGradDC
ENDM


_RB_SETBARCOLOR2 MACRO
	invoke	SetWindowLongA,HWnd,PWL_BARCOLOR2,WParam
	NewProgUpdateGradDC
ENDM


_RB_SETRANGE MACRO
	invoke	SetWindowLongA,HWnd,PWL_RANGEMAX,WParam	
	
ENDM


_RB_SETPOS MACRO
	mov		ebx,WParam
	invoke	GetWindowLongA,HWnd,PWL_RANGEMAX

	.if ebx >= eax
		mov ebx,eax
	.endif
	
	invoke	SetWindowLongA,HWnd,PWL_CURPOS,ebx
	invoke	RedrawWindow,HWnd,0,0,RDW_INTERNALPAINT
	invoke	SendMessageA,HWnd,WM_PAINT,0,0

	invoke InvalidateRect,HWnd,0,TRUE	

	ret ;this is bad!
@@:	xor		eax,eax
ENDM



_RB_GETBARCOLOR1 MACRO
	invoke	GetWindowLongA,HWnd,PWL_BARCOLOR1
ENDM


_RB_GETBARCOLOR2 MACRO
	invoke	GetWindowLongA,HWnd,PWL_BARCOLOR2
ENDM


_RB_GETRANGE MACRO
	invoke	GetWindowLongA,HWnd,PWL_RANGEMAX
ENDM


_RB_GETPOS MACRO
	invoke	GetWindowLongA,HWnd,PWL_CURPOS
ENDM




_RB_RANDOMCOLOR MACRO
	mov		ebx,ClrRandSeed
	invoke	GetTickCount
	add		eax,ebx
	rol		eax,8
	xor		ClrRandSeed,eax
	and		eax,0Fh
	and		ebx,0Fh
	cmp		eax,ebx
	jne		@F ;@RandomNE
	xor		eax,1100b
;@RandomNE:
@@:	invoke	SetWindowLongA,HWnd,PWL_BARCOLOR1,RandomColorArray[eax*4]
	invoke	SetWindowLongA,HWnd,PWL_BARCOLOR2,RandomColorArray[ebx*4]
	NewProgUpdateGradDC
ENDM


_RB_RAINIT MACRO
	;Set range
	invoke	SetWindowLongA,HWnd,PWL_RANGEMAX,10
	;Set pos
	invoke	SetWindowLongA,HWnd,PWL_CURPOS,7
	invoke	RedrawWindow,HWnd,0,0,RDW_INTERNALPAINT
	invoke	SendMessageA,HWnd,WM_PAINT,0,0
ENDM

NULL_MACRO MACRO
	ret
ENDM
